# Uses of Interface
org.springframework.beans.factory.config.BeanDefinitionCustomizer

Packages that use BeanDefinitionCustomizer
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of BeanDefinitionCustomizer in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support with parameters of type BeanDefinitionCustomizer
Modifier and Type
Method
Description
`BeanDefinitionBuilder`
BeanDefinitionBuilder.`applyCustomizers(BeanDefinitionCustomizer... customizers)`
Apply the given customizers to the underlying bean definition.